- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions

# MFnFreePointTriadManip Class Reference

# OpenMayaUI - API module for user interface | FunctionSet classes

Search for all occurrences

## Detailed Description

FreePointTriadManip function set.

The FreePointTriadManip provides a moveable point, which can be moved anywhere, and has axes for constrained x, y, and z movement and obeys grid snapping, point snapping, and curve snapping. The FreePointTriadManip generates the 3D position of the moveable point. It is useful for specifying the position of an object in space.

Examples:

  moveManip.cpp, and swissArmyManip.cpp.

`#include <MFnFreePointTriadManip.h>`

Inheritance diagram for MFnFreePointTriadManip:
[legend]

List of all members.

## Public Types
enum | ManipPlane { kYZPlane = 0, kXZPlane, kXYPlane, kViewPlane }
| Interaction plane for the manip center. More...
## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnFreePointTriadManip ()
| Destructor.
| MFnFreePointTriadManip ()
| Default constructor.
| MFnFreePointTriadManip (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
| MFnFreePointTriadManip (const MDagPath &object, MStatus *ret=NULL)
| Constructor.
MObject | create (MStatus *ReturnStatus=NULL)
| Creates a new FreePointTriadManip.
MObject | create (const MString &manipName, const MString &pointName, MStatus *ReturnStatus=NULL)
| Creates a new FreePointTriadManip.
MStatus | connectToPointPlug (MPlug &pointPlug)
| Connect to the point plug.
MStatus | setDrawAxes (bool state)
| Sets whether or not to draw the axes of the FreePointTriadManip.
MStatus | setSnapMode (bool state)
| Sets whether or not to the FreePointTriadManip should be in snap mode.
MStatus | setKeyframeAll (bool state)
| Sets whether or not keyframeAll is on.
MStatus | setDrawArrowHead (bool state)
| Sets whether or not drawArrowHead is on.
MStatus | setGlobalTriadPlane (ManipPlane whichPlane)
| Sets which plane to use as the global triad plane.
MStatus | setPoint (const MPoint &pointValue)
| Set the point manipulator value to the given vector.
MStatus | setDirection (const MVector &direction)
| Sets the orientation of the FreePointTriadManip.
bool | isDrawAxesOn (MStatus *ReturnStatus=NULL) const
| Returns whether or not the axes of the FreePointTriadManip are being drawn.
bool | isSnapModeOn (MStatus *ReturnStatus=NULL) const
| Returns whether or not the FreePointTriadManip is in snap mode.
bool | isKeyframeAllOn (MStatus *ReturnStatus=NULL) const
| Returns whether or not the FreePointTriadManip is in keyframeAll mode.
unsigned int | pointIndex (MStatus *ReturnStatus=NULL) const
| Returns the index of the point of the FreePointTriadManip.
| MFnFreePointTriadManip (const MObject &object, MStatus *ret=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Member Enumeration Documentation

enum ManipPlane

Search for all occurrences

Interaction plane for the manip center.

Enumerator:

  kYZPlane | Y-Z Plane. Search for all occurrences
  kXZPlane | X-Z Plane. Search for all occurrences
  kXYPlane | X-Y Plane. Search for all occurrences
  kViewPlane | View Plane. Search for all occurrences

## Constructor & Destructor Documentation

~MFnFreePointTriadManip | ( |  | ) | `[virtual]`

Destructor.

Class destructor.

MFnFreePointTriadManip | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnFreePointTriadManip | ( | const MDagPath & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given constant MDagPath object.

Parameters:

  [in] | object | The const MDagPath to attach the function set to
  [out] | ReturnStatus | The return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnFreePointTriadManip | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kFreePointTriadManip.

Reimplemented from MFnManip3D.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnFreePointTriadManip".

Reimplemented from MFnManip3D.

MObject create | ( | MStatus * | ReturnStatus = `NULL` | ) |

Search for all occurrences

Creates a new FreePointTriadManip.

This function set's object is set to be the new manipulator.

This method should only be used to create a non-composite FreePointTriadManip.

The name that appears in the feedback line is "point"

Parameters:

  [out] | ReturnStatus | return status

Returns:
  Newly created FreePointTriadManip

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MObject create | ( | const MString & | manipName,
|  | const MString & | pointName,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Search for all occurrences

Creates a new FreePointTriadManip.

This function set's object is set to be the new manipulator.

This method should only be used to create a non-composite FreePointTriadManip.

The name that appears in the feedback line is specified by the pointName argument.

Parameters:

  [in] | manipName | Name of the manip for UI purposes.
  [in] | pointName | Label for the position value which appears in the feedback line.
  [out] | ReturnStatus | Status code.

Returns:
  Newly created FreePointTriadManip.

Status Codes:
  - MS::kSuccess Operation successful.
  - MS::kFailure Operation failed.

Reimplemented from MFnDependencyNode.

MStatus connectToPointPlug | ( | MPlug & | pointPlug | ) |

Search for all occurrences

Connect to the point plug.

The data type corresponding to the pointPlug is MFnNumericData::k3Double.

Parameters:

  [in] | pointPlug | the point plug

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setDrawAxes | ( | bool | state | ) |

Search for all occurrences

Sets whether or not to draw the axes of the FreePointTriadManip.

By default the axes are drawn.

Parameters:

  [in] | state | whether or not the axes should be drawn

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setSnapMode | ( | bool | state | ) |

Search for all occurrences

Sets whether or not to the FreePointTriadManip should be in snap mode.

Parameters:

  [in] | state | whether or not the FreePointTriadManip should be in snap mode

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setKeyframeAll | ( | bool | state | ) |

Search for all occurrences

Sets whether or not keyframeAll is on.

Parameters:

  [in] | state | whether or not keyframeAll is on

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setDrawArrowHead | ( | bool | state | ) |

Search for all occurrences

Sets whether or not drawArrowHead is on.

Parameters:

  [in] | state | whether or not drawArrowHead is on

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setGlobalTriadPlane | ( | ManipPlane | whichPlane | ) |

Search for all occurrences

Sets which plane to use as the global triad plane.

The global triad plane does not change until the context switches.

Parameters:

  [in] | whichPlane | which plane to use as the global triad plane

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setPoint | ( | const MPoint & | pointValue | ) |

Search for all occurrences

Set the point manipulator value to the given vector.

This method can be called in the MPxManipContainer::connectToDependNode() method to set the initial position for the manipulator.

Parameters:

  [in] | pointValue | The new value of the point manipValue

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setDirection | ( | const MVector & | direction | ) |

Search for all occurrences

Sets the orientation of the FreePointTriadManip.

Parameters:

  [in] | direction | the new direction for freePointTriadManip.

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

call the methods from attr class to set the orientation

bool isDrawAxesOn | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns whether or not the axes of the FreePointTriadManip are being drawn.

By default the axes are drawn.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  - true the axes of the FreePointTriadManip are being drawn
  - false the axes of the FreePointTriadManip are not being drawn

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

bool isSnapModeOn | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns whether or not the FreePointTriadManip is in snap mode.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  - true the FreePointTriadManip is in snap mode
  - false the FreePointTriadManip is not in snap mode

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

bool isKeyframeAllOn | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns whether or not the FreePointTriadManip is in keyframeAll mode.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  - true the FreePointTriadManip is in keyframeAll mode
  - false the FreePointTriadManip is not in keyframeAll mode

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

unsigned int pointIndex | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the index of the point of the FreePointTriadManip.

The data type corresponding to this index is MFnNumericData::k3Double.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  Point index

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MFnFreePointTriadManip MFnFreePointTriadManip MFnFreePointTriadManip MFnFreePointTriadManip MFnFreePointTriadManip MFnFreePointTriadManip MFnFreePointTriadManip MFnFreePointTriadManip MFnFreePointTriadManip MFnFreePointTriadManip
MFnFreePointTriadManip MFnFreePointTriadManip MFnFreePointTriadManip MFnFreePointTriadManip MFnFreePointTriadManip MFnFreePointTriadManip MFnFreePointTriadManip MFnFreePointTriadManip MFnFreePointTriadManip MFnFreePointTriadManip